<?PHP
	include "include/globals.php";
	include $_SESSION['addressbookstorage'];

	if (isset($_POST["login"]) && ($_POST["oldpassword"] == "")) {
		// They want to log in with a new addressbook
		mkdir_p("users/" . md5($_SESSION["emailaddress"]));
		@unlink("users/" . md5($_SESSION["emailaddress"]) . "/addressbook.xml");
		@unlink("users/" . md5($_SESSION["emailaddress"]) . "/addressbook.xml.encrypted");
		$AddressBook = new AddressBook();
		header("Location: ismail.php");
		exit;
	} else if (isset($_POST["login"]) && ($_POST["oldpassword"] != "")) {
		// Try to decrypt the addressbook with the old password
		$AddressBook = new AddressBook($_POST["oldpassword"]);
		if ($AddressBook === false) {
			// Didn't work
			$failed = 1;
		} else {
			// Get our session action
			SetSettings($AddressBook->GetSettings());

			header("Location: ismail.php");
			exit;
		}
	}

	PageHeader(1);
?>
<head>
	<title><?php echo(gettext("Decrypt Help"));?></title>
	<style type="text/css">
		@import "themes/<?php echo($_SESSION["themedir"]);?>/css/addressbookdecrypt.css";
	</style>
</head>
<body>
<div id="container">
	<div id="logo">
		<span>Inside Systems Mail</span>
	</div>
	<div id="errorcontainer">
		<div id="errorheader">
			<span><?php echo(gettext("Error"));?></span>
		</div>
		<?php
			if ($failed == 1) {
				echo("<div id=\"failuremessage\">\n");
				echo("			<span>" . gettext("*Failed to decrypt*") . "</span>\n");
				echo("		</div>\n");
			}
		?>
		<div id="error">
			<?php
				echo(gettext("There has been an error decrypting your addressbook.") . "&nbsp;&nbsp;\n");
				echo(gettext("A common cause for this is that your password has changed.") . "&nbsp;&nbsp;\n");
				echo(gettext("If this is the case, please enter your old password in the box below.") . "&nbsp;&nbsp;\n");
				echo(gettext("If you wish to log on with a blank addressbook, leave the field blank and click on the button below.") . "\n");
			?>
		</div>
		<div id="passwordinput">
			<form id="decryptform" method="post" action="addressbookdecrypt.php">
				<p><input id="oldpassword" type="password" name="oldpassword" value=""/><br/>
				<?php
					echo("<input type=\"submit\" value=\" " . gettext("Log In") . " \" name=\"login\"/>\n");
				?></p>
			</form>
		</div>
		<div id="returnlink" onclick="location.href='login.php';">
			<span><?php echo("- " . gettext("Return to the login page") . " -\n");?></span>
		</div>
	</div>
</div>
<script type="text/javascript">
	<!--
	document.getElementById('oldpassword').focus();
	// -->
</script>
</body>
</html>
